# Generated by Django 4.1.8 on 2023-04-24 17:46

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("senat_campaign", "0010_alter_senatcampaignhomepage_about_gallery_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="footer_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "footer_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "label",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek zápatí", required=True
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Text v odkazu"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Odkazy",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Odkazy v zápatí webu",
            ),
        ),
    ]
